play.db.hikaricp

## Class HikariDataSourceFactory

- java.lang.Object
- - play.db.hikaricp.HikariDataSourceFactory

All Implemented Interfaces:
  DataSourceFactory

    public class HikariDataSourceFactory
    extends java.lang.Object
    implements DataSourceFactory

### Constructor Summary

Constructors
Constructor and Description
`HikariDataSourceFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.sql.DataSource` `createDataSource(Configuration dbConfig)`
`java.lang.String` `getDriverClass(javax.sql.DataSource ds)`
`java.lang.String` `getJdbcUrl(javax.sql.DataSource ds)`
`java.lang.String` `getStatus()`
`java.lang.String` `getUser(javax.sql.DataSource ds)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HikariDataSourceFactory

    public HikariDataSourceFactory()

### Method Detail

#### createDataSource

    public javax.sql.DataSource createDataSource(Configuration dbConfig)
                                          throws java.beans.PropertyVetoException,
                                                 java.sql.SQLException

Specified by:
  `createDataSource` in interface `DataSourceFactory`
Throws:
  `java.beans.PropertyVetoException`
  `java.sql.SQLException`

#### getStatus

    public java.lang.String getStatus()
                               throws java.sql.SQLException

Specified by:
  `getStatus` in interface `DataSourceFactory`
Throws:
  `java.sql.SQLException`

#### getDriverClass

    public java.lang.String getDriverClass(javax.sql.DataSource ds)

Specified by:
  `getDriverClass` in interface `DataSourceFactory`

#### getJdbcUrl

    public java.lang.String getJdbcUrl(javax.sql.DataSource ds)

Specified by:
  `getJdbcUrl` in interface `DataSourceFactory`

#### getUser

    public java.lang.String getUser(javax.sql.DataSource ds)

Specified by:
  `getUser` in interface `DataSourceFactory`